<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\UniqueConstraint(
    columns: ['employee', 'skill']
)]
class EmployeeSkill
{
    #[ORM\Id]
    #[ORM\ManyToOne(targetEntity: Employee::class, inversedBy: 'employeeSkills')]
    #[ORM\Column(type: 'integer')]
    private ?Employee $employee = null;

    #[ORM\Id]
    #[ORM\ManyToOne(targetEntity: Skill::class, inversedBy: 'employeeSkills')]
    #[ORM\Column(type: 'integer')]
    private ?Skill $skill = null;

    public function getSkill(): ?Skill
    {
        return $this->skill;
    }

    public function setSkill(?Skill $skill): void
    {
        $this->skill = $skill;
    }

    public function getEmployee(): ?Employee
    {
        return $this->employee;
    }

    public function setEmployee(?Employee $employee): void
    {
        $this->employee = $employee;
    }



}
