<?php

namespace App\Entity;

use App\Repository\MissionCategoryRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\UniqueConstraint(columns: ['mission', 'category'])]
class MissionCategory
{
    #[ORM\Id]
    #[ORM\ManyToOne(targetEntity: Mission::class, inversedBy: 'missionCategories')]
    #[ORM\Column(type: 'integer')]
    private ?Mission $mission = null;

    #[ORM\Id]
    #[ORM\ManyToOne(targetEntity: Category::class, inversedBy: 'missionCategories')]
    #[ORM\Column(type: 'integer')]
    private ?Category $category = null;

    public function getMission(): ?Mission
    {
        return $this->mission;
    }

    public function setMission(?Mission $mission): void
    {
        $this->mission = $mission;
    }

    public function getCategory(): ?Category
    {
        return $this->category;
    }

    public function setCategory(?Category $category): void
    {
        $this->category = $category;
    }


}
